> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.ipxo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Payment Method

> Update a Payment Method to Order



## OpenAPI

````yaml openapi/ecommerce.yaml patch /public/{user_id}/orders/{publicOrder}/payment-methods/{paymentMethod_uuid}
openapi: 3.0.1
info:
  title: Ecommerce API
  description: ''
  version: '1.0'
servers:
  - url: https://apigw.ipxo.com/ecommerce
security:
  - bearerAuth: []
tags:
  - name: User
    description: ''
  - name: Cart
    description: ''
  - name: Stripe
    description: ''
  - name: Address
    description: ''
  - name: Gateway
    description: ''
  - name: Invoice
    description: ''
  - name: Order
    description: ''
  - name: Payment
    description: ''
  - name: Product
    description: ''
  - name: Subscription
    description: ''
  - name: Customer
    description: ''
  - name: Projection
    description: ''
  - name: Stripe EU
    description: ''
  - name: Vat
    description: ''
  - name: Legal
    description: ''
paths:
  /public/{user_id}/orders/{publicOrder}/payment-methods/{paymentMethod_uuid}:
    patch:
      tags:
        - Order
      summary: Update Payment Method
      description: Update a Payment Method to Order
      operationId: updatePaymentMethod
      parameters:
        - name: user_id
          in: path
          description: The ID of the user.
          required: true
          schema:
            type: string
          example: praesentium
        - name: publicOrder
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: et
        - name: paymentMethod_uuid
          in: path
          description: ''
          required: true
          schema:
            type: string
          example: 6dbefe2f-cf1e-3349-a6d0-14a5a9170691
      responses:
        '204':
          description: Successfully Updated Payment Method to Order
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````